:root {
    --swiper-navigation-size: 1.2rem !important;
    --swiper-navigation-button-size: calc(var(--swiper-navigation-size) * 2.5);
}
.slider-border-bottom {
    border-bottom: 1px solid var(--color-gold-dark);
}
.slider-border .big-img {
    border-radius: var(--img-border-radius) !important;
    border-right: none !important;
    border-top-right-radius: 0px !important;
    border-bottom-right-radius: 0px !important;
}
.slide-text {
    opacity: 0;
    transform: translateY(25px);
    transition: opacity 1.5s ease, transform 1.0s ease;
    position: absolute;
}

.slide-text.active {
    opacity: 1;
    transform: translateY(0);
    position: relative;
}
.swiper-slide .slider-inner .swiper-content .title-area .tag {
    color: #ffffff;
    font-weight: 900;
    font-size: 24px;
    margin-bottom: 10px;
    margin-top: 0px;
}
.swiper-slide .slider-inner .swiper-content .title-area .title {
    margin-top: 50px;
    color: #fff;
    font-size: 8vw;
    font-weight: 900;
    line-height: 1.1;
    text-transform: uppercase;
    margin-bottom: 30px;
    margin-left: -12px;
    text-decoration: none;
}
.swiper-slide .slider-inner .swiper-content p.disc {
    width: 100%;
    margin-top: 10px;
    margin: 10px 10px 10px 0px;
    font-weight: 400;
    color: #FFFFFF;
    text-shadow: 0 3px 10px rgba(0, 0, 0, 1);
}
.swiper-container-h .slider-pagination-area {
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    top: unset;
    right: unset;
    bottom: 80px;
    left: 50% !important;
    transform: translateX(-50%);
    width: 500px;
    z-index: 1;
}
.swiper-container-h .slider-pagination-area .slide-range {
    font-size: 16px;
    font-weight: 500;
    margin: 0 15px;
    color: #ffffff;
    line-height: 0;
    position: absolute;
    font-size: 20px;
}
.swiper-container-h .slider-pagination-area .slide-range.one {
    left: -50px;
}
.swiper-container-h .slider-pagination-area .slide-range.three {
    right: -50px;
}
.swiper-container-h .slider-pagination-area .swiper-pagination {
    bottom: 0 !important;
    width: 500px !important;
}
.swiper-container-h .slider-pagination-area .swiper-pagination .swiper-pagination-progressbar-fill {
    background: #ffffff;
}

.swiper,
.swiper-container-h,
.swiper-wrapper,
.swiper-slide {
    width: 100%;
    height: 100%;
}

.swiper-slide,
.swiper-wrapper {
    backface-visibility: hidden;
    transform: translateZ(0);
    -webkit-transform: translateZ(0);
    -webkit-backface-visibility: hidden;
    will-change: transform;
}
.swiper-slide img {
    object-fit: cover; /* مهم‌ترین خط */
    display: block;
    max-height: 400px;
}

.swiper-button-next,
.swiper-button-prev {
    width: var(--swiper-navigation-button-size) !important;
    height: var(--swiper-navigation-button-size) !important;
    background-color: #01483022;
    backdrop-filter: blur(20px);
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    transform: scale(1);
    transition: transform 0.3s;
    color: #FFFFFF !important;
    box-shadow: 0px 2px 11px rgb(0 0 0 / 17%) !important;
}

.swiper-button-next::after,
.swiper-button-prev::after {
    font-size: var(--swiper-navigation-size);
}
.swiper-button-next:hover,
.swiper-button-prev:hover {
    transform: scale(1.05);
}
.slider-border {
    /*border: 3px solid var(--secondary-color-middle) !important;*/
    border-radius: 2rem;
    border-right: none !important;
    border-top-right-radius: 0px;
    border-bottom-right-radius: 0px;
    padding: 0.2rem;
}
.slider-image-box {
    overflow: visible;
    height: 100%;
    background: url("../img/bg_image_slider.webp") no-repeat;
    background-repeat: no-repeat;
    background-position: center center;
    background-size: 100% 100%;
}

.swiperIndex, .swiperDetails {
    width: 100%;
    min-height: 200px;
    max-height: 400px;
    overflow: visible;
}
.swiperIndex img, .swiperDetails img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.swiperIndexThumb, .swiperDetailsThumb {
    min-height: 160px;
    max-height: 160px;
}

.swiperIndexThumb img, .swiperDetailsThumb img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    filter: grayscale(80%);
    transition: 1.8s ease;
    cursor: pointer;
}

.swiperDetails img, .swiperDetailsThumb img {
    border-radius: var(--img-border-radius);
}

.thumb-wrapper {
    position: absolute;
    left: 50%;
    bottom: -60px;
    transform: translateX(-50%);
    width: auto;  /* عرض دلخواه */
    z-index: 10;
    pointer-events: auto;
}
.swiperIndexThumb .swiper-slide,
.swiperDetailsThumb .swiper-slide{
    width: 110px;
    height: 140px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.swiperDetailsThumb {
    position: absolute;
    top: -80px;
}

.swiper-slide-thumb-active img {
    filter: grayscale(0%);
}

.bg-slider,
.slider-border,
.slider-image-box {
    overflow: visible !important;
}

.horizontal-slider {
    scroll-behavior: smooth;
    gap: 1rem;
    user-select: none;
    scroll-snap-type: x mandatory;
}
.horizontal-slider.dragging {
    cursor: grabbing;
    scroll-snap-type: none;   /* ← کلید حذف پرش */
}
.slider-item {
    scroll-snap-align: center;
    flex: 0 0 auto;
    width: 270px; /* اندازه هر اسلاید */
}
.slider-btn {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    z-index: 10;
    border: none;
    background: #fff;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    box-shadow: 0 0 10px rgba(0,0,0,.15);
}
.slider-prev {
    right: -5px;
}
.slider-next {
    left: -5px;
}
.video-poster {
    height: 40%;
}

/* ====================== Responsive Ipad =============================== */
@media (max-width: 991px) {
    .swiper-container-h .slider-pagination-area{
        width: 200px !important;
    }
    .swiper-container-h .swiper-button-next::after,
    .swiper-container-h .swiper-button-prev::after {
        font-size: 0.8rem;
    }
    .swiper-container-h .slider-pagination-area .swiper-pagination {
        bottom: 0 !important;
        width: 200px !important;
    }
}

/* ====================== Responsive Iphone =============================== */
@media screen and (max-width: 767px) {
    .swiper-slide .slider-inner .swiper-content .title-area .title {
        font-size: 64px;
    }
    .swiper-slide .slider-inner .swiper-content .title-area .tag{
        margin-bottom: 0px;
    }
    .swiper-slide .slider-inner .swiper-content p.disc{
        margin: 10px 10px 20px auto;
        font-size: 16px;
        width:95%;
    }
    .swiper-container-h .slider-pagination-area{
        display: none;
    }
    .swiper-slide .slider-inner .swiper-content p.disc br{
        display: none;
    }
}